package com.mudchobo.board.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.mudchobo.board.dao.BoardSqlMapDao;
import com.mudchobo.board.vo.BoardVo;

public class ModifyAction extends Action {

	@Override
	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		int id = Integer.parseInt(request.getParameter("id"));
		String name = request.getParameter("name");
		String pwd = request.getParameter("pwd");
		String title = request.getParameter("title");
		String content = request.getParameter("content");
		String prevpwd = request.getParameter("prevpwd");
		BoardSqlMapDao boardSqlMapDao = new BoardSqlMapDao();
		
		if (boardSqlMapDao.checkPwd(id, prevpwd) == 0){
			return mapping.findForward("FAIL");
		}
		
		BoardVo boardVo = new BoardVo();
		boardVo.setId(id);
		boardVo.setName(name);
		boardVo.setPwd(pwd);
		boardVo.setTitle(title);
		boardVo.setContent(content);
		boardSqlMapDao.modifyContent(boardVo);
		
		return mapping.findForward("SUCCESS");
	}
}
