package com.mudchobo.board.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.mudchobo.board.dao.BoardSqlMapDao;
import com.mudchobo.board.vo.BoardVo;

public class ShowAction extends Action {

	@Override
	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		String strId = request.getParameter("id");
		if (strId == null)
			strId = "1";
		int id = Integer.parseInt(strId);
		BoardSqlMapDao boardSqlMapDao = new BoardSqlMapDao();
		BoardVo boardVo = boardSqlMapDao.showContent(id);
		
		request.setAttribute("boardvo", boardVo);
		
		return mapping.findForward("SUCCESS");
	}
}
